libxmlrpc-epi0_0.54.2-1.2_amd64.deb


Advertisement

Description

libxmlrpc-epi0 - XML-RPC request serialisation/deserialisation library

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Main amd64
Package name libxmlrpc-epi0
Package version 0.54.2
Package release 1.2
Package architecture amd64
Package type deb
Installed size 98 B
Download size 29.83 KB
Official Mirror archive.ubuntu.com
A library that implements a transportless implementation of the XML-RPC
protocol.

Alternatives

Package Version Architecture Repository
libxmlrpc-epi0_0.54.2-1.2_i386.deb 0.54.2 i386 Ubuntu Main
libxmlrpc-epi0 - - -

Requires

Name Value
libc6 >= 2.14
libexpat1 >= 2.0.1

Download

Type URL
Binary Package libxmlrpc-epi0_0.54.2-1.2_amd64.deb
Source Package xmlrpc-epi

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libxmlrpc-epi0 deb package:
    # sudo apt-get install libxmlrpc-epi0

Files

Path
/usr/lib/x86_64-linux-gnu/libxmlrpc-epi.so.0
/usr/lib/x86_64-linux-gnu/libxmlrpc-epi.so.0.0.3
/usr/share/doc/libxmlrpc-epi0/changelog.Debian.gz
/usr/share/doc/libxmlrpc-epi0/copyright

Changelog

2016-08-13 - Salvatore Bonaccorso <carnil@debian.org>
xmlrpc-epi (0.54.2-1.2) unstable; urgency=medium
* Non-maintainer upload.
* CVE-2016-6296: Heap buffer overflow vulnerability in simplestring_addn
(Closes: #832959)
2014-06-05 - Chen Baozi <baozich@gmail.com>
xmlrpc-epi (0.54.2-1.1) unstable; urgency=low
* Non-maintainer upload.
* Use dh-autoreconf in build to support new architectures (Closes: #727521)
2011-12-14 - Robin Cornelius <robin.cornelius@gmail.com>
xmlrpc-epi (0.54.2-1) unstable; urgency=low
* New upstream release (Closes:#620437)
* libtool archives removed (Closes:#633255)
* Multiarch support added
2008-04-30 - Robin Cornelius <robin.cornelius@gmail.com>
xmlrpc-epi (0.54-3) unstable; urgency=low
* Fix a debian/copyright omission for src/queue.*
2008-04-28 - Robin Cornelius <robin.cornelius@gmail.com>
xmlrpc-epi (0.54-2) unstable; urgency=low
* FTBFS - Fix build deps, libexpat1-dev was missing
2008-04-24 - Robin Cornelius <robin.cornelius@gmail.com>
xmlrpc-epi (0.54-1) unstable; urgency=low
* New upstream release
- Remove expat from source tree, now requires a shared libexpat installed
- Remove GPL'd cvs helper script from tarball
- Remove the libxml2 compatability layer and all php licenced code
* Packaging changes
- Change configure invocation in debian/rules to not use --host
- Update debian/copyright to reflect upstream tarball changes
- Add -dbg package
- Don't close ITP in multiple positions in changelog
2008-04-02 - Robin Cornelius <robin.cornelius@gmail.com>
xmlrpc-epi (0.53-1) unstable; urgency=low
* New upstream release
- Upstream has been updated, drop all patches we were applying
- Use libxml2 as xmlparser on configure option
2007-03-18 - Paul Hampson <Paul.Hampson@Pobox.com>
xmlrpc-epi (0.51-1) unstable; urgency=low
* Initial release (Closes: #413986 - ITP: xmlrpc-epi -- XML-RPC request
serialisation/deserialisation library)
- Modified to use system expat rather than included (OLD) expat version
- Libtoolized and autoreconfd
- Install headers to /usr/include/xmlrpc-epi/ to avoid conflicting with
libxmlrpc-c3-dev
- Sync up to libxmlrpc from PHP5's xmlrpc extension
- Fix various compilation warnings

See Also

Package Description
libxmlsec1-dev_1.2.25-1build1_amd64.deb Development files for the XML security library
libxmlsec1-gcrypt_1.2.25-1build1_amd64.deb Gcrypt engine for the XML security library
libxmlsec1-gnutls_1.2.25-1build1_amd64.deb Gnutls engine for the XML security library
libxmlsec1-nss_1.2.25-1build1_amd64.deb Nss engine for the XML security library
libxmlsec1-openssl_1.2.25-1build1_amd64.deb Openssl engine for the XML security library
libxmlsec1_1.2.25-1build1_amd64.deb XML security library
libxmu-dev_1.1.2-2_amd64.deb X11 miscellaneous utility library (development headers)
libxmu-headers_1.1.2-2_all.deb X11 miscellaneous utility library headers
libxmu6_1.1.2-2_amd64.deb X11 miscellaneous utility library
libxmuu-dev_1.1.2-2_amd64.deb X11 miscellaneous micro-utility library (development headers)
libxmuu1_1.1.2-2_amd64.deb X11 miscellaneous micro-utility library
libxnvctrl-dev_390.42-0ubuntu1_amd64.deb NV-CONTROL X extension (development files)
libxnvctrl0_390.42-0ubuntu1_amd64.deb NV-CONTROL X extension (runtime library)
libxpm-dev_3.5.12-1_amd64.deb X11 pixmap library (development headers)
libxpm4_3.5.12-1_amd64.deb X11 pixmap library
Advertisement
Advertisement